# Game Log

RPGs I've played

## About

This is a log of all the games I've played starting in 2021. I'm keeping this log in anticipation of writing a "Every game I played in 2021" blog post in 2022.

I decided to use recutils for this because, why not.

## Getting Started

You don't need to install anything if you don't want to. You can just edit the rec file.

But if you want to use the TUI, then `npm i` and `just new` (or `node bin/cli.js`) to create a new entry using the interative prompt.

## Dependencies

- GNU recutils

- node (optional)

- just (optional)

- csvkit (optional)

## Considerations

What kind of stuff am I interested in keeping track of?

- Role: Player or DM?
- Format: In person? (Ha, one day.) Roll20/Discord? Play by post?
- Length: One-shot, adventure, campaign?
- Crew: Who did I play with?

## Learnings

I think the main benefit to recutils is having a human readable, plain-text database that you can edit.

Querying and inserting is okay.

I don't have a use case for using Joins on records, but the fact that you can means that recutils is pretty robust

I think that recutils could be a really good format for easily tracking data in version control. It is a good "source" database that can then be exported to csv and SQL. `csvkit`, e.g., can output straight to sqlite

## Recsel examples

- `recsel -e "Role = 'Player'" games.rec`

See `justfile` for more examples

## Todo

- [x] Add types/enums
- [x] ~~tui?~~ run `just new` (or `node bin/cli.js`)
- [ ] add Update to CLI

## Resources

- <https://labs.tomasino.org/gnu-recutils/>
- <https://github.com/zaid/vim-rec>
- <https://www.gnu.org/software/recutils/manual/>
